你的位置:首页 > 操作系统

[操作系统]解决undefined reference to `__poll_chk@GLIBC_2.16


出现这个错误,是系统的glibc版本太低了,需要更新
到http://ftp.gnu.org/gnu/glibc/下载新版本的glibc,也不用太高,我选择glibc-2.20.tar.gz
 
解压完毕后
./congigure --prefix=/opt/glibc-2.20
make && make install
 
在出现 undefined reference to `__poll_chk@GLIBC_2.16' 错误的工程的makefile文件加入
 
-L  /opt/glibc-2.20/lib
 
搞定